Skip to main content
GET
/
api
/
snoozes
List Snoozes
curl --request GET \
  --url https://dash.empirical.run/api/snoozes
{
  "data": {
    "snoozes": [
      {
        "id": 12,
        "test_ids": [
          "a30a6eba6312f6b87ea5-55e241fbe3f4b8ae61ee",
          "b41b7fca7423g7c98fb6-66f352gcf4g5c9bf72ff"
        ],
        "snooze_until": "2026-04-15T00:00:00.000Z",
        "description": "Flaky due to third-party API instability",
        "created_from_test_run_id": 456,
        "created_by": null,
        "created_at": "2026-03-15T10:30:00.000Z",
        "updated_at": "2026-03-15T10:30:00.000Z",
        "scoped_to_environment_id": null
      }
    ]
  },
  "pagination": {
    "page": 1,
    "per_page": 20,
    "total": 3,
    "total_pages": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.empirical.run/llms.txt

Use this file to discover all available pages before exploring further.

Retrieves a paginated list of snoozes for a project with optional filtering by environment and active status.

Examples

{
  "data": {
    "snoozes": [
      {
        "id": 12,
        "test_ids": [
          "a30a6eba6312f6b87ea5-55e241fbe3f4b8ae61ee",
          "b41b7fca7423g7c98fb6-66f352gcf4g5c9bf72ff"
        ],
        "snooze_until": "2026-04-15T00:00:00.000Z",
        "description": "Flaky due to third-party API instability",
        "created_from_test_run_id": 456,
        "created_by": null,
        "created_at": "2026-03-15T10:30:00.000Z",
        "updated_at": "2026-03-15T10:30:00.000Z",
        "scoped_to_environment_id": null
      }
    ]
  },
  "pagination": {
    "page": 1,
    "per_page": 20,
    "total": 3,
    "total_pages": 1
  }
}

Basic list

curl -X GET \
  "https://dash.empirical.run/api/snoozes" \
  -H "Authorization: Bearer $EMPIRICALRUN_KEY"

Filter expired snoozes

curl -X GET \
  "https://dash.empirical.run/api/snoozes?status=expired" \
  -H "Authorization: Bearer $EMPIRICALRUN_KEY"

Filter by environment

curl -X GET \
  "https://dash.empirical.run/api/snoozes?environment_id=7" \
  -H "Authorization: Bearer $EMPIRICALRUN_KEY"

Pagination

curl -X GET \
  "https://dash.empirical.run/api/snoozes?per_page=10&page=2" \
  -H "Authorization: Bearer $EMPIRICALRUN_KEY"

Query Parameters

page
integer
default:1

Page number (1-indexed, default 1).

Required range: 1 <= x <= 9007199254740991
per_page
integer
default:20

Items per page (default 20).

Required range: 1 <= x <= 100
environment_id
integer

Filter by environment ID.

Required range: -9007199254740991 <= x <= 9007199254740991
status
enum<string>
default:active

Filter by status: active (default), expired, or all.

Available options:
active,
expired,
all
project_id
integer

Project ID. Required when x-project-id header is not set (e.g. cookie auth).

Required range: -9007199254740991 <= x <= 9007199254740991

Response

Paginated list of snoozes.

data
object
required

Paginated list of snoozes.

pagination
object
required